html,body{margin:0;padding:0;width:100%;}
html{font-size:62.5%;/*user's browser setting controls font-size, default is 16px (so now 24px = 2.4rem)*/}
body{font-family:'Lota Grotesque', sans-serif;background:var(--dark);color:var(--lighterbrown);box-sizing:border-box;line-height:1;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale;/*text-rendering:optimizeSpeed;*/}
::selection{background:#333;color:#FFF;}
body:not(.animates) *{transition:none!important;}
/* Special for this project */
body{position:fixed;height:100%;}
main, .page, .m.steps{position:absolute;left:0;top:0;width:100vw;height:100%;}
::-webkit-scrollbar{width:0!important;}

@font-face{font-family:'Lota Grotesque';src:url('../Fonts/LotaGrotesque-Regular.woff2') format('woff2'),url('../Fonts/LotaGrotesque-Regular.woff') format('woff');font-weight:normal;font-style:normal;font-stretch:normal;font-display:swap;}
@font-face{font-family:'Lota Grotesque';src:url('../Fonts/LotaGrotesque-RegularIt.woff2') format('woff2'),url('../Fonts/LotaGrotesque-RegularIt.woff') format('woff');font-weight:normal;font-style:italic;font-stretch:normal;font-display:swap;}

@font-face{font-family:'Lota Grotesque';src:url('../Fonts/LotaGrotesque-Light.woff2') format('woff2'),url('../Fonts/LotaGrotesque-Light.woff') format('woff');font-weight:300;font-style:normal;font-stretch:normal;font-display:swap;}
@font-face{font-family:'Lota Grotesque';src:url('../Fonts/LotaGrotesque-LightIt.woff2') format('woff2'),url('../Fonts/LotaGrotesque-LightIt.woff') format('woff');font-weight:300;font-style:italic;font-stretch:normal;font-display:swap;}

@font-face{font-family:'Lota Grotesque';src:url('../Fonts/LotaGrotesque-Bold.woff2') format('woff2'),url('../Fonts/LotaGrotesque-Bold.woff') format('woff');font-weight:bold;font-style:normal;font-stretch:normal;font-display:swap;}
@font-face{font-family:'Lota Grotesque';src:url('../Fonts/LotaGrotesque-BoldIt.woff2') format('woff2'),url('../Fonts/LotaGrotesque-BoldIt.woff') format('woff');font-weight:bold;font-style:italic;font-stretch:normal;font-display:swap;}

@font-face{font-family:'Lota Grotesque';src:url('../Fonts/LotaGrotesque-Black.woff2') format('woff2'),url('../Fonts/LotaGrotesque-Black.woff') format('woff');font-weight:900;font-style:normal;font-stretch:normal;font-display:swap;}
@font-face{font-family:'Lota Grotesque';src:url('../Fonts/LotaGrotesque-BlackIt.woff2') format('woff2'),url('../Fonts/LotaGrotesque-BlackIt.woff') format('woff');font-weight:900;font-style:italic;font-stretch:normal;font-display:swap;}

:root{
    /*Easing*/
    --sine:cubic-bezier(0.39, 0.575, 0.565, 1);
    --quad:cubic-bezier(0.25, 0.46, 0.45, 0.94);/*cubic-bezier(0.5, 1, 0.89, 1);*/
    --quad-in-out:cubic-bezier(0.455, 0.03, 0.515, 0.955);
    --cubic:cubic-bezier(0.215, 0.61, 0.355, 1);/*cubic-bezier(0.33, 1, 0.68, 1)*/
    --cubic-in-out:cubic-bezier(0.645, 0.045, 0.355, 1);
    /*--quart:cubic-bezier(0.165, 0.84, 0.44, 1);*/
    --quart:cubic-bezier(0.25, 1, 0.5, 1);
    --quart-in-out:cubic-bezier(0.77, 0, 0.175, 1);
    --quint:cubic-bezier(0.23, 1, 0.32, 1);
    --expo:cubic-bezier(0.16, 1, 0.3, 1);
    /*--expo:cubic-bezier(0.19, 1, 0.22, 1);*/
    --back:cubic-bezier(0.175, 0.885, 0.32, 1.275);
    --delay:0s;

    --dark:#531326;
    --darkred:#5E0329;
    --red:#FF0000;
    --gnist:#EBA878;
    --brown:#F8A470;
    --lightbrown:#F5C7A7;/*titles*/
    --lighterbrown:#FCDEC9;/*text*/
    --blue:#D4D6E2;
    
    --navpadding:200px;
}


/* Font settings - medium/500, semibold/600 and bold/700 */
h1,h2,h3,h4,h5,h6,p,q{position:relative;margin:0;padding:0;font-weight:normal;font-style:normal;line-height:1;box-sizing:border-box;}
h1,h2{font-size:calc(10rem + (140 - 100) * (100vw - 1000px) / 600);line-height:0.9;}
h2.small{font-size:calc(6rem + (80 - 60) * (100vw - 1000px) / 600);}
h2.smaller{font-size:calc(5rem + (70 - 50) * (100vw - 1000px) / 600);}
h3{font-size:calc(3rem + (38 - 30) * (100vw - 1000px) / 600);}
p{font-size:calc(2.0rem + (26 - 20) * (100vw - 1000px) / 600);line-height:1.1;}
p.large{font-size:calc(2.0rem + (30 - 20) * (100vw - 1000px) / 600);line-height:1.1;}

/*container 800px + 200 each side (--navpadding) = 1200px */
@media all and (min-width:1600px){
  h1,h2{font-size:14.0rem;}
  h2.small{font-size:8rem;}
  h2.smaller{font-size:7rem;}
  h3{font-size:3.8rem;}
  p{font-size:2.6rem;}
  p.large{font-size:3.0rem;}
}
/* Mobile */
@media all and (max-width:1000.5px){
    h1,h2{font-size:17.5vw;}
    h2.small{font-size:14.5vw;}
    h2.smaller{font-size:11vw;}
    h3{font-size:5.4vw;}
    p{font-size:4.2vw;}
    p.large{font-size:5.4vw;}
}
/* Tablet */
@media all and (max-width:1000.5px) and (min-width:760px){
    h1,h2{font-size:10.0rem;}
    h2.small{font-size:6rem;}
    h2.smaller{font-size:5vw;}
    h3{font-size:3rem;}
    p{font-size:2rem;}
    p.large{font-size:2rem;}
}

ol,ul{font-size:1.6rem;line-height:1.5;min-height:2.4rem;}
q{display:block;font-size:1.6rem;line-height:1.5;min-height:2.4rem;}
ul{box-sizing:border-box;margin:0;padding:0 0 0 20px;}
li{position:relative;box-sizing:border-box;}
input, textarea, select{font-family:'Lota Grotesque';font-weight:300;font-style:italic;font-size:inherit;line-height:normal;appearance:none;background:none;display:block;color:inherit;box-sizing:border-box;padding:0;margin:0;outline:0;border:0;}
.black{font-weight:900;}

.dark{color:var(--dark);}
.darkred{color:var(--darkred);}
.red{color:var(--red);}
.brown{color:var(--brown);}
.lightbrown{color:var(--lightbrown);}
.blue{color:var(--blue);}

.dark-bg{background-color:var(--dark);}
.darkred-bg{background-color:var(--darkred);}
.gnist-bg{background-color:var(--gnist);}
.brown-bg{background-color:var(--brown);}
.lightbrown-bg{background-color:var(--lightbrown);}
.lighterbrown-bg{background-color:var(--lighterbrown);}
.blue-bg{background-color:var(--blue);}

/* Blink letters */
.blink{position:relative;white-space:nowrap;}
.blink.move-left{margin-left:-1.5%;}
.blink.pull-right{margin-right:-.25%;}
.blink.push-right{margin-left:.25%;margin-right:.5%;}
.blink.push-right span + span{transform:translateX(-10%);}

.blink span{display:inline-block;}
.blink span + span{position:absolute;left:0;width:100%;text-align:center;opacity:0;}
.blink.active span{opacity:0;}
.blink.active span + span{opacity:1;}

/*      Buttons     */
a, button{position:relative;display:inline-block;box-sizing:border-box;margin:0;padding:0;text-decoration:none;border:none;background:none;color:inherit;font-family:inherit;letter-spacing:inherit;line-height:inherit;text-transform:inherit;font-weight:inherit;-moz-user-select:none;-webkit-user-select:none;-webkit-user-drag:none;user-select:none;-webkit-tap-highlight-color:rgba(0, 0, 0, 0);cursor:pointer;touch-action:manipulation;/*removes delay*/}
button:focus{outline:none;}
.rounded-btn{font-size:2.2rem;font-weight:bold;font-style:italic;text-transform:uppercase;color:#FFF;border-radius:40px;padding:18px 40px 15px 40px;}
@media (hover:hover){
    .rounded-btn{transition:opacity .3s ease;}
    .rounded-btn:hover{opacity:.8;}
}
@media all and (max-width:1300px){
    .rounded-btn{font-size:2.0rem;padding:14px 35px 12px 35px;}
}
@media all and (min-width:1000.5px) and (max-width:1200px){
    .rounded-btn{font-size:1.8rem;padding:14px 30px 12px 30px;}
}
@media all and (max-width:1000.5px){
    .rounded-btn{font-size:2.4rem;padding:18px 45px 15px 45px;}
}

/*      Media       */
img,video,.lazy{border:0;-moz-user-select:none;-webkit-user-select:none;-webkit-user-drag:none;user-select:none;-webkit-tap-highlight-color:rgba(0, 0, 0, 0);}
picture,img,.lazy svg,video:not(.native-controls){pointer-events:none;}/*with smooth scroll this helps Firefox and Safari with external mouse*/
body.scrolling .lazy .video iframe{pointer-events:none;}/*with smooth scrolling this helps scroll continuously*/
picture, video{width:100%;display:block;height:auto;box-sizing:border-box;padding:0;margin:0;overflow:hidden;}
picture img{position:relative;display:block;width:100%;height:auto;}
.lazy{position:relative;}
.lazy.video:before{content:"";display:block;padding-top:calc(var(--aspect) * 1%);width:100%;pointer-events:none;}/*fix aspect ratio for videos*/
.lazy .video, .lazy .video iframe, .lazy > svg{position:absolute;left:0;top:0;width:100%;height:100%;}
/* Thumbnail (not "poster"!) with play button */
.lazy.video .load-ui{position:absolute;left:0;top:0;width:100%;height:100%;background-color:#000;z-index:2;display:flex;text-align:center;}
.lazy.video .load-ui .lazy{position:absolute;left:0;top:0;width:100%;height:100%;}
.lazy.video .load-ui .lazy video, .lazy.video .load-ui .lazy img{position:absolute;left:0;top:0;width:100%;height:100%;object-fit:cover;}
/*.lazy.video .load-ui .play-btn{margin:auto;padding:20px;font-size:2.4rem;background-color:#333;color:#FFF;}*/
.lazy.video .load-ui .play-btn{margin:auto;width:64px;height:74px;border-style:solid;border-width:37px 0px 37px 64px;border-color:transparent transparent transparent #FFF;}
.lazy.video.fade-ui .load-ui{opacity:0;transition:opacity .4s ease-in-out .1s;pointer-events:none;}
.lazy.video.hide-ui .load-ui{display:none;}

/* Animations */
.fade{opacity:0;}
.fade.in{opacity:1;transition:opacity 1.5s ease var(--delay);}
.fade.cycling{transition-delay:0s;}
.fade.half-opacity{opacity:.2;}

main{/*position:relative;*/width:100%;}
.page{/*position:relative;*/width:100%;box-sizing:border-box;font-size:0;/*padding-top:40px;*/}


/* Standard module */
.m{position:relative;width:100%;box-sizing:border-box;font-size:0;}
.m div{position:relative;box-sizing:border-box;}
.canoverflow{overscroll-behavior:contain;}


.m.carousel{/*cursor:grab;*/overflow:hidden;height:100%;}
.m.carousel .scroller{position:absolute;left:0;top:0;white-space:nowrap;font-size:0;width:100%;height:100%;}
.m.carousel .step{display:inline-block;vertical-align:top;width:100vw;height:auto;white-space:normal;}
.carousel.dragging{cursor:grabbing;}

.m.steps .step{height:100%;text-align:center;/*overflow:auto;*/}
.m.steps .step .wrapper{text-align:center;padding:0 var(--navpadding);width:100%;height:calc(100% - 80px);overflow:auto;}
.m.steps .step .wrapper.full{height:100%;}
.m.steps .step .inner{width:100%;max-width:800px;margin:auto;padding-bottom:70px;user-select:none;}

.m.steps .step .title{text-align:left;padding-top:40px;}

.m.steps .step.intro .title{color:var(--red);padding-top:80px;}
.m.steps .step.intro .text{padding:50px 12% 0 12%;}
.m.steps .step.intro .text h3 + p{padding-top:20px;}

.m.steps .step.inputs .title{text-align:left;padding-top:80px;}
.m.steps .step.inputs .title .indent{display:block;width:100%;text-align:right;}

.m.steps .birthdate{margin-top:80px;height:80px;}
.m.steps .birthdate .input-wrapper{display:flex;justify-content:center;gap:5px;}
.m.steps .birthdate .inputs{display:flex;flex-direction:column;align-items:center;}
.m.steps .birthdate .digits{display:flex;gap:4px;}
.m.steps .birthdate p{line-height:1;padding-top:12px;}
.m.steps .birthdate input{width:50px;text-align:center;font-size:3.0rem;padding:8px 2px 4px 2px;color:var(--lighterbrown);line-height:1;border-bottom:1px solid var(--lighterbrown);appearance:textfield;/*remove counter*/border-radius:0;}
.m.steps .birthdate input::-webkit-inner-spin-button, .m.steps .birthdate input::-webkit-outer-spin-button{appearance:none;-webkit-appearance:none;margin:0}
.m.steps .birthdate input:focus{/*border:1px solid var(--lighterbrown);*/outline:none}
.m.steps .birthdate input::placeholder{color:var(--lighterbrown);opacity:.2;transition:opacity .3s ease;}
.m.steps .birthdate input:focus::placeholder{opacity:0;}
.m.steps .birthdate + .error{opacity:0;transition:opacity .3s ease;pointer-events:none;}
.m.steps .birthdate + .error p{font-weight:300;}
.m.steps .birthdate.invalid + .error{opacity:1;transition:opacity .6s ease-in-out;}

.m.steps .name{margin-top:80px;height:80px;}
.m.steps .name .input-wrapper{display:flex;justify-content:center;gap:5px;}
.m.steps .name input{width:350px;text-align:center;font-size:3.0rem;padding:8px 2px 4px 2px;color:var(--lighterbrown);line-height:1;border-bottom:1px solid var(--lighterbrown);appearance:textfield;/*remove counter*/border-radius:0;}
.m.steps .name input::-webkit-inner-spin-button, .m.steps .birthdate input::-webkit-outer-spin-button{appearance:none;-webkit-appearance:none;margin:0}
.m.steps .name input:focus{/*border:1px solid var(--lighterbrown);*/outline:none}
.m.steps .name input::placeholder{color:var(--lighterbrown);opacity:.2;transition:opacity .3s ease;}
.m.steps .name input:focus::placeholder{opacity:.1;}

.m.steps .age-slider{margin:80px auto 0 auto;height:80px;width:250px;}
.m.steps .age-slider p{text-align:center;font-size:3.0rem;font-weight:300;padding:8px 2px 4px 2px;color:var(--lighterbrown);line-height:1;}
.m.steps .age-slider .bg{position:absolute;left:0;top:60px;width:250px;height:2px;background:var(--lighterbrown);border-radius:2px;}
.m.steps .age-slider .knob{position:absolute;left:0;top:44px;width:32px;height:32px;border-radius:50%;background:var(--brown);margin-left:-16px;}
.m.steps .age-slider .knob::before{content:"";position:absolute;left:-20px;top:-20px;width:calc(100% + 40px);height:calc(100% + 40px);}
.m.steps .age-slider .knob .glow{position:absolute;left:-20px;top:-20px;width:calc(100% + 40px);height:calc(100% + 40px);border-radius:50%;background:var(--brown);}

.m.steps .step.calculate .title{text-align:left;padding-top:40px;}
.m.steps .step.calculate .loadbar{width:100%;height:8px;border-radius:4px;margin-top:10px;background-color:var(--lighterbrown);overflow:hidden;}
.m.steps .step.calculate .loadbar .progress{position:absolute;left:0;top:0;width:100%;height:100%;background-color:var(--red);}
.m.steps .step.calculate .title p{font-weight:300;}
.m.steps .step.calculate .title h2{text-transform:uppercase;padding-top:50px;}
.m.steps .step.calculate .shuffle{color:#FFB98E;}

.m.steps .step.years-ahead .animation.red-bar{width:100%;height:40px;border-radius:20px;background-color:var(--dark);overflow:hidden;margin-top:20px;}
.m.steps .step.years-ahead .animation.red-bar .progress{position:absolute;left:6px;top:6px;width:calc(100% - 12px);height:calc(100% - 12px);border-radius:14px;overflow:hidden;}
.m.steps .step.years-ahead .animation.red-bar .progress .pattern{position:absolute;left:0;top:0;width:100%;height:100%;background-color:var(--red);overflow:hidden;}
.m.steps .step.years-ahead .animation.red-bar .progress .pattern .lines{position:absolute;left:0;top:-5px;width:100%;height:100%;white-space:nowrap;}
.m.steps .step.years-ahead .animation.red-bar .progress .pattern .line{display:inline-block;vertical-align:top;width:2px;height:500%;margin-left:8px;background-color:var(--dark);}
.m.steps .step.years-ahead .animation.red-bar .progress .pattern.extra .line{height:800%;margin-left:10px;}
.m.steps .step.years-ahead .animation.red-bar .border{position:absolute;left:0;top:0;width:100%;height:100%;border:6px solid var(--dark);z-index:2;border-radius:20px;}
.m.steps .step.years-ahead .text{padding-top:25px;}
.m.steps .step.years-ahead .text + .text{padding-top:50px;}/*swype videre*/
.m.steps .step.years-ahead .text.old-person{opacity:0;}

.m.steps .step.mornings .title .brown{display:block;text-align:right;}
.m.steps .step.mornings .text{padding-top:20px;}
.m.steps .step.mornings .animation{position:absolute;left:-10px;bottom:0;width:37%;}

.m.steps .step.coffee .title .indent{display:block;width:100%;text-align:right;}
.m.steps .step.coffee .text{padding-left:55%;padding-top:20px;text-align:right;}
.m.steps .step.coffee .animation{position:relative;width:calc(100% + 60px);margin-left:-30px;margin-top:-80px;}

.m.steps .step.bread .title .indent{display:block;width:100%;text-align:right;}
.m.steps .step.bread .animation{position:relative;width:100%;margin-top:-60px;margin-bottom:-20px;}

.m.steps .step.spill .title{padding-top:0;}
.m.steps .step.spill .title .indent{display:block;width:100%;text-align:right;}
.m.steps .step.spill .animation{position:relative;width:100%;margin-left:-30px;margin-bottom:10px;}
.m.steps .step.spill .text{padding-top:20px;width:100%;text-align:right;}

.m.steps .step.beers .title .indent{display:block;width:100%;text-align:right;}
.m.steps .step.beers .text{padding-top:20px;width:100%;text-align:right;padding-left:40%;}
.m.steps .step.beers .animation{position:relative;width:60%;margin-top:-40px;}

.m.steps .step.watch .text{padding:40px 10% 0 10%;width:100%;text-align:center;}
.m.steps .step.watch .animation{position:relative;width:100%;margin-bottom:10px;}

.m.steps .step.vote .title{text-align:right;}
.m.steps .step.vote .text{padding-top:40px;width:100%;text-align:center;}
.m.steps .step.vote .animation{position:relative;width:74%;margin-left:4%;margin-top:0;}

.m.steps .step.static-slide{background-color:var(--red);}
.m.steps .step.static-slide .inner{padding-bottom:160px;}
.m.steps .step.static-slide::before{content:"";position:absolute;left:20px;top:20px;width:calc(100% - 40px);height:calc(100% - 40px);border-radius:20px;background-color:var(--dark);}
.m.steps .step.static-slide .title{text-align:left;padding-top:70px;}
.m.steps .step.static-slide .title h3{color:var(--red);text-transform:uppercase;width:100%;text-align:center;padding-bottom:30px;}
.m.steps .step.static-slide .text{text-align:left;padding-top:30px;}
.m.steps .step.static-slide .text p{font-size:2.0rem;}

.m.steps .step.end-static .indent{display:block;padding-top:20px;width:100%;text-align:right;padding-left:30%;}
.m.steps .step.end-static .text{padding:40px 10% 40px 10%;}

.m.steps .step.end-summary h2 .dynamic{text-transform:uppercase;}
.m.steps .step.end-summary .text .subtitle-line{width:100%;display:flex;flex-direction:row;margin-top:20px;}
.m.steps .step.end-summary .text .subtitle-line p{font-weight:300;flex: 0 0 auto;padding-right:20px;}
.m.steps .step.end-summary .text .subtitle-line .line{height:1px;background:var(--red);flex:1;min-width:0;align-self:center;}
.m.steps .step.end-summary .text .age{text-align:left;padding-top:20px;}
.m.steps .step.end-summary .text .age h2{display:inline-block;vertical-align:middle;width:20%;}
.m.steps .step.end-summary .text .age h3{display:inline-block;vertical-align:middle;width:80%;padding-left:20px;}
.m.steps .step.end-summary .text .stat{text-align:left;padding:10px 0;margin-top:10px;}
.m.steps .step.end-summary .text .stat + .stat{margin-top:0;}
.m.steps .step.end-summary .text .stat .animation{display:inline-block;vertical-align:middle;width:20%;padding:1%;}
.m.steps .step.end-summary .text .stat .animation.coffee{padding:3%;}
.m.steps .step.end-summary .text .stat .animation.coffee .lazy{margin-top:-15px;margin-left:-5px;}
.m.steps .step.end-summary .text .stat .animation.spilled-coffee .lazy{width:calc(100% + 30px);margin-left:-15px;padding:0;}
.m.steps .step.end-summary .text .stat .animation.beer{padding:2%;}
.m.steps .step.end-summary .text .stat .animation.beer .lazy{margin-top:5px;}
.m.steps .step.end-summary .text .stat .animation.watch{padding:3%;}
.m.steps .step.end-summary .text .stat .animation.bread{padding:2%;}
.m.steps .step.end-summary .text .stat .animation.bread .lazy{margin-left:-10px;}
.m.steps .step.end-summary .text .stat .label{display:inline-block;vertical-align:middle;width:80%;padding-left:20px;}

.m.steps .step .to-red{transition:color 3s ease .3s;}
.m.steps .step.on .to-red{color:var(--red);transition:color .8s ease-in-out;}

.m.steps .step .nav{transition:opacity 1.2s ease 1s;}
.m.steps .step.needs-validation .nav{transition:opacity 1.2s ease 0s;}
.m.steps .step.needs-validation:not(.valid) .nav{opacity:0;pointer-events:none;}
.m.steps .step:not(.on) .nav{opacity:0;pointer-events:none;transition:none;}

.m.footer{position:fixed;left:0;bottom:0;width:100%;height:80px;padding:20px 30px;user-select:none;}
.m.footer .border{position:absolute;left:30px;top:0;width:calc(100% - 60px);height:1.5px;background-color:var(--red);transition:opacity .6s ease-in-out .4s;}
.m.footer .text{color:var(--red);opacity:0;transition:opacity .6s ease-in-out;}
.m.footer .text p{font-size:2.0rem;line-height:1;}
.m.footer .logo{position:absolute;left:30px;top:20px;opacity:0;transition:opacity .6s ease-in-out;}
.m.footer .logo p{font-size:2.4rem;color:var(--red);line-height:.85;}
.m.footer .logo p span{color:var(--dark);}
.m.footer .tre-f{position:absolute;right:30px;top:20px;background:url("../Grx/3f.svg") no-repeat;width:59px;height:40px;background-size:contain;transition:opacity .6s ease-in-out;}
.m.footer .logo-text{position:absolute;left:50%;top:-60px;margin-left:-100px;width:200px;text-align:center;opacity:0;transition:opacity .6s ease-in-out;pointer-events:none;}
.m.footer .logo-text .l{background:url("../Grx/3f.svg") no-repeat;width:59px;height:40px;background-size:contain;margin:auto;}
.m.footer .logo-text p{font-size:2.0rem;line-height:1;color:var(--red);width:100%;padding-top:10px;}
body.footer-text .m.footer .text{opacity:1;}
body.footer-logo .m.footer .logo{opacity:1;}
body.footer-none .m.footer .tre-f{opacity:0;}
body.footer-none .m.footer .logo-text{opacity:1;}
body.footer-logo .m.footer .border, body.footer-none .m.footer .border{opacity:0;transition:opacity .6s ease-in-out;}

.page-transition{position:fixed;left:0;top:0;width:100%;height:100%;background-color:var(--dark);pointer-events:none;z-index:10;transition:opacity .8s ease-in-out;will-change:opacity;}
.page-transition.loaded{opacity:0;}
.page-transition.in{opacity:1;transition:opacity .2s ease;}
.page-transition.fast{transition:none;}

.vh{position:absolute;z-index:-1;top:0;left:-1px;width:1px;height:100vh;}/*Used for mobile measurement of vh (svh for smallest viewport height, lvh for largest - similar to just vh) */

/* Mobile only */
@media all and (max-width:1000.5px){
    .desktop{display:none;}
    
    .m.steps .step .inner{padding-bottom:70px;}
    .m.steps .step .wrapper{padding:0 30px;height:calc(100% - 70px);}
    .m.steps .step .wrapper.full{height:100%;}
    .m.steps .step .nav{margin-bottom:80px;}
    .m.steps .step:not(.on) .nav{transition:opacity .4s ease 0s;}
    .m.steps .step .title{padding-top:60px;}
    .m.steps .step.calculate .title h2{padding-top:40px;}
    .m.steps .step.spill .title{padding-top:20px;}
    .m.steps .birthdate input{width:36px;font-size:2.4rem;padding:6px 2px 4px 2px;}
    .m.steps .name input{width:300px;max-width:100%;font-size:2.4rem;padding:6px 2px 4px 2px;}
    
    .m.steps .step.static-slide::before{left:12px;top:12px;width:calc(100% - 24px);height:calc(100% - 24px);border-radius:20px;background-color:var(--dark);}    
    .m.steps .step.static-slide .title{padding-top:50px;}
    .m.steps .step.static-slide .title h3{padding-bottom:25px;}
    .m.steps .step.static-slide .text p{font-size:1.6rem;}

    .m.footer{height:70px;padding:15px 30px;}
    .m.footer .text p{font-size:1.6rem;padding-top:5px;}
    .m.footer .logo p{font-size:2.2rem;}
    .m.footer .tre-f{right:30px;top:18px;height:35px;}
    .m.footer .logo-text p{font-size:1.6rem;padding-top:8px;}
}
/* Smaller smartphone */
@media all and (max-width:400.5px){
    .m.steps .birthdate input{width:32px;font-size:2.2rem;}
    .m.steps .name input{width:280px;font-size:2.2rem;}
}
/* Smaller height mobile */
@media all and (max-width:1000.5px) and (max-height:700px){
    .m.steps .step .inner{padding-bottom:40px;}
    .m.steps .step.intro .title, .m.steps .step.inputs .title{padding-top:40px;}
    .m.steps .step.intro .text{padding-top:30px;}
    .m.steps .step .title{padding-top:40px;}
    .m.steps .step.calculate .title{padding-top:35px;}
    .m.steps .step.calculate .title h2{padding-top:30px;}
    .m.steps .step.years-ahead .text + .text{padding-top:40px;}
    .m.steps .step.coffee .animation{margin-top:-100px;}
    .m.steps .step.vote .animation{width:65%;margin-left:2%;margin-top:-25px;}
    
    .m.steps .step.end-static .text{padding-top:30px;}
    .m.steps .step.static-slide .title{padding-top:40px;}
    .m.steps .step.static-slide .text{padding-top:20px;}
    
    .m.footer .logo-text{top:-35px;}
}
/* Even smaller height mobile */
@media all and (max-width:1000.5px) and (max-height:620px){
    .m.steps .step .inner{padding-bottom:25px;}
    .m.steps .step.intro .title, .m.steps .step.inputs .title{padding-top:25px;}
    .m.steps .step .title{padding-top:25px;}
    .m.steps .step.calculate .title{padding-top:25px;}
    .m.steps .step.static-slide .title{padding-top:30px;}
}
/* Desktop only */
@media all and (min-width:1000.5px){
    .mobile{display:none;}

    .m.steps .step.inputs .title{padding-top:80px;}
    .m.steps .age-slider{width:350px;}
    .m.steps .age-slider .bg{width:350px;}
    .m.steps .step .wrapper{display:inline-flex;}
    .m.steps .step.calculate .shuffle{letter-spacing:-.1vw;}
    .m.steps .step .nav{position:absolute;left:0;top:0;width:100%;height:0;}
    .m.steps .step .nav .rounded-btn{position:absolute;right:40px;top:50vh;margin-top:-40px;}
    .m.steps .step .nav .rounded-btn.hidden{display:none;}
    .m.steps .step .nav .rounded-btn:nth-of-type(2){right:auto;left:40px;}
    .m.steps .step.mornings .text{padding:20px 15% 0 15%;}
    .m.steps .step.mornings .animation{left:15%;width:30%;}
    .m.steps .step.coffee .animation{width:60%;margin:-70px auto 0 auto;}
    .m.steps .step.spill .animation{width:70%;margin-left:-20px;}
    .m.steps .step.bread .animation{width:60%;margin:-50px auto -30px auto;}
    .m.steps .step.beers .animation{width:40%;margin-top:-50px;}
    .m.steps .step.watch .animation{width:70%;}
    .m.steps .step.vote .animation{width:40%;margin-left:20%;margin-top:-50px;}

    .m.steps .step.end-summary .text .age h2{width:15%;}
    .m.steps .step.end-summary .text .age h3{width:85%;padding-left:25px;}
    .m.steps .step.end-summary .text .stat .animation{width:15%;padding:1%;}
    .m.steps .step.end-summary .text .stat .label{width:85%;padding-left:25px;}
}
/* Desktop with little height */
@media all and (min-width:1000.5px) and (max-height:800px){
    .m.steps .step.intro .title{padding-top:40px;}
    .m.steps .step.intro .text{padding-top:25px;}
    .m.steps .step.inputs .title{padding-top:40px;}
    
    .m.steps .step.mornings .text{padding-top:0;}
    .m.steps .step.spill .title .indent{margin-top:-20px;}
    .m.steps .step.coffee .animation{margin-top:-80px;}
    .m.steps .step.watch .text{padding-top:20px;}
    .m.steps .step.vote .animation{margin-top:-80px;}
    .m.steps .step.vote .text{padding-top:20px;}
}

@media all and (max-width:1000.5px) and (orientation:landscape){
    .fade{opacity:1;}
}